Subject: Re: Build error with current source release

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Feb 2015 11:06:22 -0800

"J. R. Westmoreland" <[email-masked]> writes:

> I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
> /Users/jr/Documents/projects/git/Documentation/git-add.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"

It has been long since I had to deal with a problem like this in my
set-up but it was a host configuration error that always wanted to
download these docbook DTDs by not having proper XML catalog entries
(and failing to download them, which as you can see is the error you
are getting).

Sorry, no, I do not do Macintoshes, so even if I remember exact
steps I took to fix my host configuration error several years ago on
my Debian box, I suspect that the solution would not apply to you.